Skip to main content
POST
/
org
/
{org}
/
gvc
/
{gvc}
/
workload
Create
curl --request POST \
  --url https://api.cpln.io/org/{org}/gvc/{gvc}/workload \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "tags": {},
  "spec": {
    "identityLink": "<string>",
    "containers": [
      {
        "name": "<string>",
        "image": "<string>",
        "port": 123,
        "memory": "128Mi",
        "readinessProbe": {
          "exec": {
            "command": [
              "<string>"
            ]
          },
          "tcpSocket": {
            "port": 123
          },
          "httpGet": {
            "path": "/",
            "port": 123,
            "httpHeaders": [
              {
                "name": "<string>",
                "value": "<string>"
              }
            ],
            "scheme": "HTTP"
          },
          "initialDelaySeconds": 123,
          "periodSeconds": 123,
          "timeoutSeconds": 123,
          "successThreshold": 123,
          "failureThreshold": 123
        },
        "livenessProbe": {
          "exec": {
            "command": [
              "<string>"
            ]
          },
          "tcpSocket": {
            "port": 123
          },
          "httpGet": {
            "path": "/",
            "port": 123,
            "httpHeaders": [
              {
                "name": "<string>",
                "value": "<string>"
              }
            ],
            "scheme": "HTTP"
          },
          "initialDelaySeconds": 123,
          "periodSeconds": 123,
          "timeoutSeconds": 123,
          "successThreshold": 123,
          "failureThreshold": 123
        },
        "cpu": "50m",
        "env": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ],
        "args": [
          "<string>"
        ]
      }
    ],
    "firewallConfig": {
      "external": {
        "inboundAllowCIDR": [
          "<string>"
        ],
        "outboundAllowHostname": [
          "<string>"
        ],
        "outboundAllowCIDR": [
          "<string>"
        ]
      },
      "internal": {
        "inboundAllowType": "none",
        "inboundAllowWorkload": [
          "<string>"
        ]
      }
    },
    "defaultOptions": {
      "autoscaling": {
        "metric": "concurrency",
        "target": 123,
        "maxScale": 123,
        "minScale": 123,
        "scaleToZeroDelay": 123,
        "maxConcurrency": 123
      },
      "timeoutSeconds": 123,
      "capacityAI": true,
      "spot": true,
      "debug": true
    },
    "localOptions": [
      {
        "autoscaling": {
          "metric": "concurrency",
          "target": 123,
          "maxScale": 123,
          "minScale": 123,
          "scaleToZeroDelay": 123,
          "maxConcurrency": 123
        },
        "timeoutSeconds": 123,
        "capacityAI": true,
        "spot": true,
        "debug": true,
        "location": "<string>"
      }
    ]
  }
}
'
{
  "status": 123,
  "message": "<string>",
  "type": "<string>",
  "details": {},
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
gvc
string
required

Body

application/json
name
string
Maximum string length: 64
description
string
tags
object
spec
object

Response

Workload was created successfully